Page MenuHomePhabricator

eolian: warn if event appears in more than one inherited class
Closed, ResolvedPublic

Description

Look at this case: both the Efl.Gfx.Image and Efl.Gfx.Entity interfaces emit a resize event, and the Efl.Ui.Bg interface inherits from both of them. When Efl.Ui.Bg emits a resize event, which one is it?
Both resize events have the same type (void) but what would happen if they had different types?

I think this should be forbidden and eolian should detect and warn about these cases.

segfaultxavi triaged this task as Normal priority.
q66 moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Nov 14 2018, 5:22 AM
q66 added a comment.Nov 21 2018, 7:30 AM

A fix for this issue has been introduced in 9535eff025d7be0810e07917ea642b44104995d5. However, it cannot be enabled just yet, since we have those conflicts (like resize) in the tree so those must be fixed first...

bu5hm4n moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jan 16 2019, 6:10 AM
zmike closed this task as Resolved.Mar 8 2019, 7:39 AM